Package org.apache.sling.api.request.builder

# Interface SlingHttpServletResponseBuilder

@ProviderType public interface SlingHttpServletResponseBuilder

Fluent helper for building a response.

Note: instances of this interface are not thread-safe.

Since:
  1.0 (Sling API Bundle 2.24.0)

## Method Summary

Modifier and Type
Method
Description
`@NotNull SlingHttpServletResponseResult`
`build()`
Deprecated.
Use `buildJakartaResponseResult()` instead
`@NotNull SlingJakartaHttpServletResponseResult`
`buildJakartaResponseResult()`
Builds the response.

## Method Details

### build

@Deprecated @NotNull @NotNull SlingHttpServletResponseResult build()
Deprecated.
Use `buildJakartaResponseResult()` instead
Builds the response. Once this method has been called, the builder must not be used anymore. In order to create a new response a new builder has to be used.

Returns:
  a response object

### buildJakartaResponseResult

@NotNull @NotNull SlingJakartaHttpServletResponseResult buildJakartaResponseResult()
Builds the response. Once this method has been called, the builder must not be used anymore. In order to create a new response a new builder has to be used.

Returns:
  a response object
Since:
  1.4